QGIS Application - Bug report #10437

When removing a vector field alias it isn't removed from qgs project

2014-06-03 09:41 AM - Giovanni Allegri

Status: Closed
Priority: Low
Assignee:

Category: Vectors

Affected QGIS version:2.2.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 18851

Description

Alias fields elements in .qgs projects aren't removed when alias are unset (= made blank, empty string).

An empty "name" attribute is kept for that field. E.g.:
<aliases>

<alias field="image" index="2" name=""/>
</aliases>

| suggest to remove the element when the alias is empty.

Associated revisions

Revision c3bd82aa - 2014-08-11 01:03 AM - Nathan Woodrow

Merge pull request #1481 from giohappy/alias_remove_when_empty

Remove alias from vector layer if it's an empty string. Fix #10437

History

#1 - 2014-06-21 06:35 AM - Jiirgen Fischer

- Category set to Vectors

#2 - 2014-06-21 10:40 AM - Giovanni Allegri

Fixed in pull request https://github.com/qgis/QGIS/pull/1481

#3 - 2014-08-10 04:04 PM - Nathan Woodrow
- Status changed from Open to Closed

Fixed in changeset commit:"c3bd82aa7be2d20528a2b380dac65f7650e5d8ac".
